=== debian/changelog ===
brewtarget (3.0.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:46 +1100

brewtarget (3.0.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:59:56 +0000

brewtarget (3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
  * Fix day-of-week for changelog entry 2.0.1-1.
    Changes-By: lintian-brush
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
  * Set upstream metadata fields: Repository.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-missing-repository

  [ Dr. Tobias Quathamer ]
  * Fix lintian warning about not closing bugs
  * Make the build reproducible.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1024396)
  * Disable Link Time Optimization (LTO). (LP: #2004076)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 28 Feb 2023 13:40:54 +0100
