## brewtarget 3.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # CMakeLists.txt is part of Brewtarget, and is Copyright the following
-# authors 2009-2022
+# authors 2009-2024
 #  - Chris Pavetto <chrispavetto@gmail.com>
 #  - Dan Cavanagh <dan@dancavanagh.com>
 #  - Daniel Moreno <danielm5@users.noreply.github.com>
@@ -27,6 +27,13 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
+# ⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐
+# NB: Meson and the `bt` build tool Python script are now the primary way of building and packaging the software.  You
+#     can also still CMake to compile the product and install it locally, but we no longer support using CMake to do
+#     packaging.  (Over time the intention is to remove packaging-specific code from this script, not least as it does
+#     not work properly on Mac and Windows.)
+# ⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐⭐
+
 #
 # Creates a Makefile in the build directory, from where you can do builds and installs.
 #
@@ -50,27 +57,12 @@
 #   * make clean            -  Delete compiled objects so next build starts from scratch
 #   * sudo make install     -  Install locally
 #   * make test             -  Run unit tests via CTest
-#   * make package          -  Makes .deb, .rpm, NSIS Installer, and .tar.bz2 binary packages.  (TBD What about Mac?)
-#
-#                              On Linux, after make package, it's one of the following to install, if you want to
-#                              install from the package rather than direct from the build tree (with sudo make install).
-#                              (This would typically be for installing the package on a different machine then where the
-#                              build was done.)
-#                                 $ sudo dpkg -i brewtarget*.deb
-#                                 $ sudo rpm -i brewtarget*.rpm
-#
-#                              On Mac and Windows environments, the `package` target will create an installer
-#                              that may be executed to finish the installation.
-#
-#   * make package_source   -  Makes a .tar.bz2 source package.
 #
 # Custom make targets:
 #   * make plugins          -  Builds the Qt Designer plugins
 #   * make source_doc       -  Makes Doxygen HTML documentation of the source in doc/html
 #   * make install-data
 #   * make install-runtime
-#   * make package_lint     -  Runs lintian and rpmlint on packages
-#
 #
 # CMake options
 #   * CMAKE_INSTALL_PREFIX  - /usr/local by default. Set this to /usr on Debian-based systems like Ubuntu.
@@ -113,8 +105,8 @@
 #============================================== Project name and Version ===============================================
 #=======================================================================================================================
 # It's simplest to keep the project name all lower-case as it means we can use a lot more of the default settings for
-# Linux packaging (where directory names etc are expected to be all lower-case)
-project(brewtarget VERSION 3.0.6 LANGUAGES CXX)
+# Linux packaging (where directory names etc are expected to be all lower-case).
+project(brewtarget VERSION 3.0.11 LANGUAGES CXX)
 message(STATUS "Building ${PROJECT_NAME} version ${PROJECT_VERSION}")
 message(STATUS "PROJECT_SOURCE_DIR is ${PROJECT_SOURCE_DIR}")
 # Sometimes we do need the capitalised version of the project name
@@ -143,9 +135,6 @@
 # ${repoDir}/packaging         = Packaging-related config
 #
 set(repoDir "${CMAKE_CURRENT_SOURCE_DIR}")
-
-# AFAICT this is used only in cmake/modules/NSIS.template.in
-set(WINDIR "${repoDir}/win")
 
 # Location of custom CMake modules. (At the moment, there is only one, which is used for Windows packaging
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
@@ -194,4 +183,14 @@
 
 elseif(WIN32)
    #============================================ Windows Install Directories ===========================================
+   set(installSubDir_data "data")
+   set(installSubDir_doc  "doc")
+   set(installSubDir_bin  "bin")
+elseif(APPLE)
+   #============================================== Mac Install Directories =============================================
+   set(installSubDir_data "Contents/Resources")
+   set(installSubDir_doc  "Contents/Resources/en.lproj")
+   set(installSubDir_bin  "Contents/MacOS")
+endif()
 
+#=======================================================================================================================
