=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # src/CMakeLists.txt is part of Brewtarget, and is Copyright the following
-# authors 2009-2022:
+# authors 2009-2023:
 #  - Aidan Roberts <aidanr67@gmail.com>
 #  - Daniel Moreno <danielm5@users.noreply.github.com>
 #  - Mark de Wever <koraq@xs4all.nl>
@@ -52,11 +52,9 @@
     ${repoDir}/src/BrewNoteWidget.cpp
     ${repoDir}/src/BtColor.cpp
     ${repoDir}/src/BtDatePopup.cpp
-    ${repoDir}/src/BtDigitWidget.cpp
     ${repoDir}/src/BtFieldType.cpp
     ${repoDir}/src/BtFolder.cpp
-    ${repoDir}/src/BtLabel.cpp
-    ${repoDir}/src/BtLineEdit.cpp
+    ${repoDir}/src/BtHorizontalTabs.cpp
     ${repoDir}/src/BtSplashScreen.cpp
     ${repoDir}/src/BtTabWidget.cpp
     ${repoDir}/src/BtTextEdit.cpp
@@ -101,6 +99,7 @@
     ${repoDir}/src/matrix.cpp
     ${repoDir}/src/measurement/Amount.cpp
     ${repoDir}/src/measurement/ColorMethods.cpp
+    ${repoDir}/src/measurement/ConstrainedAmount.cpp
     ${repoDir}/src/measurement/IbuMethods.cpp
     ${repoDir}/src/measurement/Measurement.cpp
     ${repoDir}/src/measurement/PhysicalQuantity.cpp
@@ -162,13 +161,13 @@
     ${repoDir}/src/TimerListDialog.cpp
     ${repoDir}/src/TimerMainDialog.cpp
     ${repoDir}/src/TimerWidget.cpp
-    ${repoDir}/src/UiAmountWithUnits.cpp
     ${repoDir}/src/utils/BtException.cpp
     ${repoDir}/src/utils/BtStringConst.cpp
     ${repoDir}/src/utils/BtStringStream.cpp
     ${repoDir}/src/utils/EnumStringMapping.cpp
     ${repoDir}/src/utils/ImportRecordCount.cpp
     ${repoDir}/src/utils/TimerUtils.cpp
+    ${repoDir}/src/utils/TypeLookup.cpp
     ${repoDir}/src/WaterButton.cpp
     ${repoDir}/src/WaterDialog.cpp
     ${repoDir}/src/WaterEditor.cpp
@@ -177,6 +176,11 @@
     ${repoDir}/src/WaterTableWidget.cpp
     ${repoDir}/src/widgets/Animator.cpp
     ${repoDir}/src/widgets/SelectionControl.cpp
+    ${repoDir}/src/widgets/SmartAmounts.cpp
+    ${repoDir}/src/widgets/SmartDigitWidget.cpp
+    ${repoDir}/src/widgets/SmartField.cpp
+    ${repoDir}/src/widgets/SmartLabel.cpp
+    ${repoDir}/src/widgets/SmartLineEdit.cpp
     ${repoDir}/src/widgets/ToggleSwitch.cpp
     ${repoDir}/src/widgets/UnitAndScalePopUpMenu.cpp
     ${repoDir}/src/xml/BeerXml.cpp
