=== debian/changelog ===
brewtarget (3.0.11-1) unstable; urgency=medium

  * New upstream version 3.0.11
    - Refresh patch
  * Switch to unversioned libboost-dev for Build-Depends. (Closes: #1065305)
  * Add missing Build-Depends on libboost-stacktrace-dev
  * Update d/copyright
  * Update to Standards-Version 4.6.2, no changes needed
  * Update location of brewtarget.desktop in d/install
  * Use wrap-and-sort -at

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 Apr 2024 20:35:45 +0200
