=== debian/control ===
Source: brewtarget
Section: misc
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libboost-stacktrace-dev,
               libqt5multimedia5-plugins,
               libqt5svg5-dev,
               libxalan-c-dev,
               libxerces-c-dev,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.brewtarget.org
Vcs-Git: https://salsa.debian.org/debian/brewtarget.git
Vcs-Browser: https://salsa.debian.org/debian/brewtarget

Package: brewtarget
Architecture: any
Depends: libqt5multimedia5-plugins,
         libqt5sql5-sqlite,
         libqt5svg5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: GUI beer brewing software
 Brewtarget is a calculator for brewing beer. It is a Qt-based program which
 allows you to create recipes from a database of ingredients. It calculates all
 the important parameters, helps you with mash temperatures, and just makes the
 process of recipe formulation much easier.
